javascript: ;
(function() {
  try{
    if(window.StockJSBridge) {return;}
    window.StockJSBridge = {
      'invoke': function(name) {
        var args = [].slice.call(arguments, 1),
          callback = args.pop(),
          params, obj = this[name];
        if (typeof callback !== 'function') {
          params = callback;
          callback = function() {}
        } else {
          params = args[0]
        } if (typeof obj !== 'object' || typeof obj.func !== 'function') {
          callback({
            'err_msg': 'system:function_not_exist'
          });
          return
        }
        obj.callback = callback;
        obj.params = params;
        obj.func(params)
      },
      'on': function(event, callback) {
        var obj = this['on' + event];
        if (typeof obj == 'undefined'){
            if (typeof callback !== 'undefined'){
                this['on' + event] = {};
                this['on' + event].callback = callback;
            }
        } else {
            if (typeof callback !== 'undefined'){
                 obj.callback = callback;
            }
        }
      },

        'openWebView': {
          'func': function(params) {
             prompt("openWebView",JSON.stringify(params))
           },
           'params': {},
          'callback': function(res) {}
        },

        'setActiveH5Broker': {
          'func': function(params) {
             prompt("setActiveH5Broker", JSON.stringify(params))
           },
           'params': {},
           'callback': function(res) {}
        },
        'jumpToBrokerList': {
          'func': function(params) {
                 prompt("jumpToBrokerList", JSON.stringify(params))
           },
           'params': {},
           'callback': function(res) {}
        },

        'exit': {
              'func': function(params) {
                     prompt("exit", JSON.stringify(params))
               },
               'params': {},
               'callback': function(res) {}
        },

    };
  }catch(e){
    alert('huodong_futu.js error:'+e);
  }

  var readyEvent = document.createEvent('Events');
  readyEvent.initEvent('StockJSBridgeReady', true, true);
  document.dispatchEvent(readyEvent)
})();
